module Dm
  # Provides methods to read attributes for public objects (accounts, videos..)
  module Readable

    # Return the unique DailyMotion identifier of a DailyMotion object
    def id
      info[:id]
    end

    # Return the title of a DailyMotion object
    def title
      info[:snippet][:title]
    end

    # Return the description of a DailyMotion object
    def description
      info[:snippet][:description]
    end

    # Return the URL of the DailyMotion object thumbnail
    def thumbnail_url
      info[:snippet][:thumbnails][:default][:url]
    end

    # Return the kind of the DailyMotion object (either 'channel' or 'video')
    def kind
      info.fetch(:kind, '').split("#").last
    end
  end
end